%define api 1.0
%define major 1

Name:		dleyna-server
Version:	0.6.0
Release:	1
Summary:	Service for interacting with Digital Media Servers
Group:		System/Servers
License:	LGPLv2
URL:		https://github.com/01org/dleyna-server/
Source0:	%{name}-%{version}.tar.gz
Patch0:		dleyna-server-0.6.0-fix-missing-include-gupnp.h.patch
BuildRequires:	pkgconfig(dleyna-core-%{api})
BuildRequires:	pkgconfig(glib-2.0) >= 2.28
BuildRequires:	gssdp-devel >= 0.13.2
BuildRequires:	pkgconfig(gupnp-1.0) >= 0.19.1
BuildRequires:	pkgconfig(gupnp-av-1.0) >= 0.11.5
BuildRequires:	pkgconfig(gupnp-dlna-2.0) >= 0.9.4
BuildRequires:	libsoup-devel
Requires:	dbus

%description
D-Bus service for clients to discover and manipulate DLNA Digital Media
Servers (DMSes).

%files
%doc AUTHORS ChangeLog README
%{_datadir}/dbus-1/services/com.intel.%{name}.service
%dir %{_libdir}/%{name}
%{_libdir}/%{name}/libdleyna-server-%{api}.so.%{major}*
%{_libexecdir}/%{name}-service
%config(noreplace) %{_sysconfdir}/%{name}-service.conf
#-------------------------------------------------------------------------
%prep
%setup -q
%apply_patches

%build
autoreconf -fiv
%configure2_5x \
  --disable-silent-rules \
  --disable-static

%make


%install
%makeinstall_std


rm -rf %{buildroot}/%{_includedir}
rm -f %{buildroot}/%{_libdir}/%{name}/libdleyna-server-%{api}.so
rm -rf %{buildroot}/%{_libdir}/pkgconfig




%changelog

* Sat Jul 15 2017 tremod <negry.m@yandex.ru> 0.6.0-1
- (97833c7) Update to 0.6.0


